Subject: Re: bug list #1 - general bugs

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 5 Feb 2000 22:26:11 +0200

Sorry for the late reply, I was off.

On 31 Jan 2000 03:07:52 +0100, Dominik Vogt wrote:
> 
> On Sun, Jan 30, 2000 at 01:11:36PM +0200, Mikhael Goikhman wrote:
> 
> > 1) PlaceAgain is really broken (giant coordinates).

Run fvwm without config: fvwm2 -f no.config
  * open xterm from a menu
  * open FvwmConsole
  * move FvwmConsole to the center, so there is no free space for xterm
  * execute PlaceAgain on xterm

Press Alt-Tab - xterm is at +134777068-1073747168 or similar.

> > 2) Canceling of icon move shows canseling, but does not really cancel.
> 
> Fixed.

The position is restored now, but the "sticky" flag is still set
regardless of canceling. It should not be changed if canceled.

> > 3) "All (CurrentDesk Iconic) RecaptureWindow" while an icon is focused
> >    takes several seconds.
> 
> Grr, I already fixed this on 3rd of January.  Why has this come back
> (and what was the fix?)

I will add this to Jitterbug, when I will get a chance.

> > 4) 'Menu mymenu This +NUM +NUM' in submenus crashes fvwm.
> 
> Hm, although I don't get the crash myself is see that 'mr'
> might be referenced although it's NULL.  I don't see how this
> could ever happen, but I've made a safety fix.  If this doesn't
> help, please provide a stack trace and the setup you used.

Your safety fix fixed this.

> > 5) Position hints 'Menu' and 'Item' in submenus seem incorrect.
> > 	[Dominik, can you test this, it is inconsistent for me]
> 
> I've tested it and it looks perfectly consistent to me.  Unless
> you tell me what you have in mind ...

I will hack a new report later.

> > 6) Title not in the menu top does not respect top VerticalTitleSpacing.
> 
> They do.

You are right, my diagnose was wrong. But still I was right that non-top
titles have text in incorrect place. :) Just applied the fix at line 3023:

       if(mi != MR_FIRST_ITEM(mr))
       {
-        text_y += SEPARATOR_HEIGHT;
+        text_y += SEPARATOR_TOTAL_HEIGHT;
         y = y_offset + SEPARATOR_Y_OFFSET;
         if (sx1 < sx2)

> > 7) Create 2 xterms, execute "Pick All ($r) Iconify" in the root menu.
> >    One of icons (of the last focused xterm) has expanded title.
> >    If you bind this menu to decorations - no bug, but if it's in sub-Menu
> >    of the bound menu the bug is shown again. Works without Pick if bound.
> 
> Doesn't happen for me.  I can only guess that somehow the
> is_icon_entered flag is screwed up.  I've made a safety patch
> in icons.c, but I don't know if it will help.  If it doesn't
> I need better instructions.

It happens consistently for me in the described cases and with wide icon
titles of windows. It is easier to try yourself than to describe this.
Read the following file into FvwmConsole:

DestroyMenu TestMenu10
AddToMenu   TestMenu10
+ "This is the main test menu" Title
+ "Iconify group (ok only if immediately)" Pick All ($r) Iconify toggle
+ "The second test popup" Popup TestMenu11
+ "The first test menu again" Menu TestMenu10

DestroyMenu TestMenu11
AddToMenu   TestMenu11
+ "This is the second test menu" Title
+ "Iconify group (bug if started from ROOT)" Pick All ($r) Iconify toggle

Mouse 3 A CM Menu TestMenu10

Now play with Ctrl-Alt-Mouse3 everywhere, on the root or on the window
decorations. Choose 2 windows of the same resource name (netscape is ok)
with wide icon titles. Test both "Iconify group" places immediately or
after "The first test menu again". Notice how the icon title sometimes
expanded and sometimes no. It is fully consistent for me, but this boolean
function depends on 3 things, whether you start the menu from the root,
whether it is the first place or the second, immediately or not.

> > 8) FvwmWharf and FvwmIdent do not set resource class and name.
> > 	[I will do this]

Maybe later.

> > 9) Redudant space in WindowList's geometry. Is there a reason for this?
> 
> It's always been this way and people like it as far as I know.  I don't
> really care.

No, it only started in the autumn. This breaks the alignment for iconified
windows and looks unprofessional, especially with non-monospace font.
Fixed.

> > 10) --disable-session in configure and list SESSION support in --version.
> 
> Of course it doen't work: there is no --disable-session option :-)

I meant: this stuff should be added.

> > 11) $n, $c, $r in functions are expanded without escaping for names with
> >     a single quote inside, i.e. you get 'it's', which is incorrect.
> 
> Fixed.

Good patch, but it caused a core dump when trying to parse something like:
  All ($r) Iconify $0

I have fixed it by adding "string = NULL;" in "if (string)" block.

> Dominik ^_^

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 7 Feb 2000 08:41:33 +0100

> regardless of canceling. It should not be changed if canceled.

Huh?  The 'sticky' flag is set when you move an icon?  The move
code doesn't touch this flag (except when MoveToPage is called,
but then you can't cancel it).  And I can't think of any other
flag that is modified by moving a window/icon except the
maximized flag.  This one is properly handled as far as I can see.

--- half an hour later ---

Ah! You mean the is_icon_moved flag.  Fixed

> I will add this to Jitterbug, when I will get a chance.

Did you try this lately?  I don't get this bug anymore.

>          y = y_offset + SEPARATOR_Y_OFFSET;

Yup, you're right.

> No, it only started in the autumn.

Hm, then we're talking about different spaces.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 7 Feb 2000 11:51:46 +0200

> Did you try this lately?  I don't get this bug anymore.

Yes, I always use the latest version, at least when test and report bugs.

Key F12 A CS RecaptureWindow

Iconify an window, focus the icon, press Ctrl-Shift-F12.
This takes about 10 seconds for me. Can you reproduce this?

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 10 Feb 2000 05:41:04 +0100

> This takes about 10 seconds for me. Can you reproduce this?

Yes.  I found a comment by Matthias Claasen in the code that
hints to some pointer grab that is active if a window is
iconified, but I can't figure out where it comes from.  This
causes the hang because it's tried to grab the pointer again
for the busy cursor.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
The adjuration to be "normal" seems shockingly repellent to me; I see neither
hope nor comfort in sinking to that low level.  I think it is ignorance that
makes people think of abnormality only with horror and allows them to remain
undismayed at the proximity of "normal" to average and mediocre.  For surely
anyone who achieves anything is, essentially, abnormal.
                -- Dr. Karl Menninger, "The Human Mind", 1930